Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153064 - USB Sound card seems to change address when unplugged/plugged
Summary: USB Sound card seems to change address when unplugged/plugged
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FCMETA_ALSA
TreeView+ depends on / blocked
 
Reported: 2005-04-01 08:20 UTC by Christian Schaller
Modified: 2015-01-04 22:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-07 07:53:00 UTC


Attachments (Terms of Use)

Description Christian Schaller 2005-04-01 08:20:47 UTC
I recently bought a Sound Blaster Audigy2 NX USB sound card for my laptop.
Noticed that if I unplug it, then plug it back in it seems it is getting
assigned a new address. So it means that when I plugin it in the first time it
ends up as hw:2,0
 but if I plug it out and plug it back in it becomes hw:3,0 afaict.

I talked to David Zeuthen at HAL is getting USB soundcard support in FC4 (sorta)
so I don't know if the problem will be solved through HAL and friends or if it
can/should be addressed within the confines of hotplug.

Comment 1 Dave Jones 2005-07-15 19:21:52 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Dave Jones 2005-12-07 07:53:00 UTC
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.